<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="m4play.css" />
	<link rel="stylesheet" href="videogame.css" />
	<title>Detalle</title>

	<script>
		function loadXMLDoc(filename) {
			//Abrimos una conexión con el servidor
			xhttp = new XMLHttpRequest();
			//Pedimos un fichero
			xhttp.open("GET", filename, false);
			try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
			xhttp.send("");
			return xhttp.responseXML;
		}

		//Funcion que nos permite recuperar el Identificador de la receta seleccionada
		//en la pantalla principal. Viene por la URL, método GET.
		function getId(sParametroNombre) {
			var sPaginaURL = window.location.search.substring(1);
			var sURLVariables = sPaginaURL.split('&');
			for (var i = 0; i < sURLVariables.length; i++) {
				var sParametro = sURLVariables[i].split('=');
				if (sParametro[0] == sParametroNombre) {
					return sParametro[1];
				}
			}
			return null;
		}


		function displayResult() {
			//Buscamos en la URL el parametro id usando la funcion getId
			var idReceta = getId('id');
			if (idReceta) {
				//Queremos cargar los ficheros XML y XSLT

				// CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
				xml = loadXMLDoc("XML/videojuego" + idReceta + ".xml");
				xsl = loadXMLDoc("XML/detall.xsl");
				if (document.implementation && document.implementation.createDocument) {
					//Lanzamos el xsltproc que tiene el navegador
					xsltProcessor = new XSLTProcessor();
					xsltProcessor.importStylesheet(xsl);
					resultDocument = xsltProcessor.transformToFragment(xml, document);
					//El resultado de la transformación los ponemos dentro del elemento
					//section con identificador CONTENT-RECETAS
					document.getElementById("content-videojuego").appendChild(resultDocument);
				}
			} else {
				alert("El parámetro no existe en la URL");
			}
		}
	</script>


</head>

<body class="content-body" onload="displayResult()">
	

	
<!-- El HEAD que tengas + Menú -->
	<header>
		<img class="header-logo" src="src/M4PLay.jpg" alt="Logo Web"> <!-- Aquí irá el logo de la web -->
		<h1>LEARNING THROUGH PLAY</h1>
	</header>
	<div class="nav">
		<nav>
			<!-- Aquí està el navegador de la web -->
			<a href=index.html>Home</a>
			<a href=videojuegos.html>Videojuegos</a>
			<a href=index.html#noticias>Noticias</a>
			<a href=index.html#ranking>Ranking</a>
			<a href=contacto.html>Contacto</a>
		</nav>
	</div>

	<main>
		
		
		<!---CONTENEDOR DE L CÓDIGO DÓNDE IRÁ LA RECETA-->
		<section class="content" id="content-videojuego">
		</section>

	</main>

	<footer>
		<!-- Tu footer generico -->
		<div>
            <a href=""><img class=" footer-logos-rs" src="src/instagram.png" alt="Instagram" /></a>
            <a href=""><img class="footer-logos-rs" src="src/facebook.png" alt="Facebook" /></a>
            <a href=""><img class="footer-logos-rs" src="src/twitter.png" alt="Twitter" /></a>
            <a href=""><img class="footer-logos-rs" src="src/youtube.png" alt="Youtube" /></a>
        </div>
        <address>
            Carrer d'Aiguablava 121 <br>
            08033 Barcelona
        </address>
        <p>
            <a href="copyright.html">Copyright &copy; 2022 - 2022</a>
        </p>
	</footer>

</body>

</html>